/*
 * @(#)Exception.java	1.2  02/15/02 21:04:02 Alexei Semidetnov
 *
 * Portions Copyright 2002 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * Exception specification of serialized form
 * Holds serial form specification for java.lang.Exception.
 */

package serial.spec.java.lang;

import java.io.IOException;
import javasoft.sqe.serial.IllegalSerialFormException;
import javasoft.sqe.serial.SerialForm;
import javasoft.sqe.serial.StreamObject;
import javasoft.sqe.serial.StreamObjectClass;


public class Exception extends StreamObjectClass implements SerialForm {
    private double ver;

    public Exception(double version) {
        super("java.lang.Exception", -3387516993124229948L);
        ver = version;

        if (ver >= 1.1) {
            setSuperClass(lookup("serial.spec", "java.lang.Throwable", ver));
        }
    }

    /**
     * This method defines all the serializable fields
     */
    public void define() {

        // No fields to define
    }

    /**
     * This method checks for constraints under which the serialized fields
     * are valid
     */
    public void verify(StreamObject streamobj)
            throws IllegalSerialFormException {

        // No serial fields, nothing to define
    }
}
